import { timeRangeSpecifier, beforeJumpSingleFlightHandleFunc } from './currentAllRelatedFlights'
import { currentInBoundModeForFlightTablePage, allInBoundMode } from './currentInBoundMode'

export const rowClicked = (currentMsg) => {
    console.log('****', currentMsg)

    if (!currentMsg.ac) return uni.$mocpMessage.error('航班已取消')
    timeRangeSpecifier.value = 0
    beforeJumpSingleFlightHandleFunc(currentMsg.ac, {
            depStn: currentMsg.depStn,
            stdChn: currentMsg.stdChn
        },
        currentInBoundModeForFlightTablePage.value,
        currentMsg.airlineCode
    )
    uni.$mocpJump.navigateTo('/panel/flight-support/flight-support-details/index')
}